Package org.springframework.security.core.userdetails

# Interface ReactiveUserDetailsService

All Known Implementing Classes:
  `MapReactiveUserDetailsService`

public interface ReactiveUserDetailsService
An API for finding the `UserDetails` by username.

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<UserDetails>`
`findByUsername(String username)`
Find the `UserDetails` by username.

## Method Details

### findByUsername

reactor.core.publisher.Mono<UserDetails> findByUsername(String username)
Find the `UserDetails` by username.

Parameters:
  `username` - the username to look up
Returns:
  the `UserDetails`. Cannot be null